# CheckServer, a light and great Check service for servers and pages

CheckServer is a PHP app that monitor (using crons) some parameters in servers, like http responses, pings to ports (http,ssh,...), databases, and views simple stadistics.
without dependencies and installable only coping repository and ajusting some params. It uses SQLite3 and php only.

Also can show stadistics for all sites

Real using index 'demo' can be viewed in https://status.jkanetwork.com/

## Disclaimer

This is an beta, opensource, and a human made program. **There may be bugs and problems**, and
although we can update and fix things, JKANetwork is **not** responsable for derivated problems.

You can see the master code and tell us any improvment or bug. Plase see indications for installing if you want 
to install without problems. Master is bleeding edge, use tags for versions and not having problems.

## Requirements

-Modern PHP (5.6+) with SQLite3 enabled

-Cron support

## Install

For installing, only download last version from https://gitlab.com/JKANetwork/CheckServer/tags (not git master, reason 
below. **Think of tags as releases**), decompress it and copy all to the folder in your hosting. 

Please **do not download and use master git**,it is not recommended, because is for devel and things like installer sql can not work right. Use the tags. **Think of tags as releases**

Navigate to your host and installer will start.

For finishing it, you have to add a cron in your system for running checks. The check has to run using php the file cronchk.php. Example for Linux, in /etc/cron.d/checkserver:
```
*/5 * * * *	root	cd /srv/http/checkserver/ && /usr/bin/php -f cronchk.php >/dev/null 2>&1
```

## Update

Decompress folder over your installation folder, and run "updater.php", 
it will update and say if something goes wrong. Its a good idea to make 
a backup of your sqlite.db3 database.

## Changelog

### (WIP) Version 0.9.3

-TODO: Cleaner code

### (WIP) Version 0.9.2 (Beta)

-A bit more info in admin page (Checks->Errors/History info)

-Fix duplicate entries for failed checks (Less false failed tests)

-More optimizations when lot of pages/tests

-Show correct dates in index

-Updater fixed, 0.9.1 not working right

### Version 0.9.1 (Beta)

-See uptime percent

-Optimized index webpage, times went down to half when have a lot of pages

### Version 0.9 (Beta)

-First public version

-Supports ping at different ports, httpcode returns (default or custom), and MySQL/sqlite/PgSQL status. Also you can post news to index, and have a (invisible) visit counter of visits in your webpages.
